cannot find -lwxmsw31u_qa

General questions regarding the usage of CodeLite
philjynx

cannot find -lwxmsw31u_qa

Post by philjynx »

Hi, I've recently installed codelite on a 64bit Win10 machine.
Both minGW and wxWidgets were installed in CMD
wxWidgets was built with:

Code: Select all

cd build/msw 

mingw32-make -j4 -f makefile.gcc BUILD=release SHARED=0 setup_h
pause
mingw32-make -j4 -f  makefile.gcc BUILD=release SHARED=0 

The samples were built with the same settings i.e.

Code: Select all

mingw32-make -j4 -f  makefile.gcc BUILD=release SHARED=0

Clean install of minGw and wxWidgets 3.1.5
All of the widgets samples (or the random selection that I've tried) work.
It appears then, that there is no problem with wxWidgets or minGw.

When I try to build my project in codelite I get the error in the title of this post.
I have no idea what wxmsw31u_qa is (other than that it must be a missing wxWidget library), I can find no reference to it in any of the files in my project.
I can't find a list of the libraries that should be linked in either.

The project I'm working on is a copy of one which I was working on with codelite under Linux Mint with a target machine being RPi 3 with no problems.

wxmsw31u_qa is not on my machine, I've checked

Help

You do not have the required permissions to view the files attached to this post.
User avatar
eranif
CodeLite Plugin
Posts: 6246
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: cannot find -lwxmsw31u_qa

Post by eranif »

You can either use wx-config ... tool or use it manually by adding the libraries you need in the Linker/Compiler stages
Without looking at your code / project its hard to say what is wrong with your setup

Make sure you have read the HOW TO POST thread
CnnC
CodeLite Curious
Posts: 1
Joined: Mon May 02, 2022 10:42 pm
Genuine User: Yes
IDE Question: c++
Contact:

Re: cannot find -lwxmsw31u_qa

Post by CnnC »

Good day! I also faced this problem. When compiling the project, the following error appears:

C:/TDM-GCC-64/bin/../lib/gcc/x86_64-w64-mingw32/10.3.0/../../../../x86_64-w64-mingw32/bin/ld.exe: cannot find -lwxmsw31u_qa

This problem has appeared somewhere since codelite version 15.0.4. Before that everything was fine.

By default, when compiling, the library is included -lwxmsw31u_qa, that is not in wxWidgets.

Where can I see, view and change the default list of included libraries when creating a project?

Thanks

yzh_1991
CodeLite Curious
Posts: 8
Joined: Wed Jan 19, 2022 3:40 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: cannot find -lwxmsw31u_qa

Post by yzh_1991 »

philjynx wrote: Sat Nov 27, 2021 3:58 am

Hi, I've recently installed codelite on a 64bit Win10 machine.
Both minGW and wxWidgets were installed in CMD
wxWidgets was built with:

Code: Select all

cd build/msw 

mingw32-make -j4 -f makefile.gcc BUILD=release SHARED=0 setup_h
pause
mingw32-make -j4 -f  makefile.gcc BUILD=release SHARED=0 

The samples were built with the same settings i.e.

Code: Select all

mingw32-make -j4 -f  makefile.gcc BUILD=release SHARED=0

Clean install of minGw and wxWidgets 3.1.5
All of the widgets samples (or the random selection that I've tried) work.
It appears then, that there is no problem with wxWidgets or minGw.

When I try to build my project in codelite I get the error in the title of this post.
I have no idea what wxmsw31u_qa is (other than that it must be a missing wxWidget library), I can find no reference to it in any of the files in my project.
I can't find a list of the libraries that should be linked in either.

The project I'm working on is a copy of one which I was working on with codelite under Linux Mint with a target machine being RPi 3 with no problems.

wxmsw31u_qa is not on my machine, I've checked

Help

mingw32-make -j4 -f makefile.gcc BUILD=release SHARED=0 USE_QA=1

Post Reply